#!/usr/bin/perl
use strict;
use warnings;
use metaPath;

my %koReact = koReact();
my $file = "../ko.tab";
open(FH, $file);
my @data = <FH>;
close FH;

my $info = "";
my %samReact = ();#samReact{react}{sam} = abundance
foreach my $line (@data)
{
    chomp $line;
    if ($line =~ /^\t/) #first line
    {
	$info = $line;
	next;
    }
    my ($kid, @samples) = split("\t", $line);
    for(my $i = 0; $i < scalar @samples; $i++)
    {
	foreach my $react (keys %{$koReact{$kid}})
	{
	    $samReact{$react}{$i} += $samples[$i];
	}
    }
}
print $info, "\n";
foreach my $react (sort keys %samReact)
{
    print $react, "\t";
    my @nums = ();
    foreach my $sam (sort {$a <=> $b} keys %{$samReact{$react}})
    {
#	print $sam, "\t";
#	print "$samReact{$react}{$sam}\t";
	push(@nums, $samReact{$react}{$sam});
    }
    print join("\t", @nums);
    print "\n";
}
