sub procDataDir
{
    return "../data";
}

sub koReact
{
    my $procdatadir = procDataDir();
    my $koreactfile = "$procdatadir/koReact.tab";
    open(FH, $koreactfile);
    my @data = <FH>;
    my %koreact = ();
    foreach my $line (@data)
    {
	chomp($line);
	if ($line =~ /^\s/)
	{
	    next;
	}
	my ($ko, $react) = split("\t", $line);
	$koreact{$ko}{$react} = 1;
    }
    return %koreact;

}

1;
